<ion-header>
    <ion-toolbar color="principal">
        <ion-title>Cambiar contraseña</ion-title>
        <ion-buttons slot="start">
            <ion-button (click)="goToBack()">
                <ion-icon name="arrow-back" size="large"></ion-icon>
            </ion-button>
        </ion-buttons>
        <app-header></app-header>
    </ion-toolbar>
</ion-header>

<ion-content>

    <ion-card class="card">
        <ion-card-header>
            <ion-card-title>
                Olvidaste tu contraseña?
            </ion-card-title>

        </ion-card-header>

        <ion-card-content>

            <form [formGroup]="resetPasswordForm" (ngSubmit)="resetPasswordUser(resetPasswordForm.value)">
                Escribe tu correo electrónico
                <div linespace></div>
                <ion-item>
                    <ion-icon name="mail-outline"></ion-icon>
                    <ion-input formControlName="email" placeholder="Email*" color="black"></ion-input>
                </ion-item>

                <div class="validation-error ion-text-center">
                    <ng-container *ngFor="let validation of validation_message.email">
                        <div *ngIf="resetPasswordForm.get('email').hasError(validation.type) && 
          (resetPasswordForm.get('email').dirty || 
          resetPasswordForm.get('email').touched)">
                            {{validation.message}}
                        </div>
                    </ng-container>
                </div>

                <ion-button color="warning" expand="block" shape="round" fill="solid" (click)="resetPassword()"
                    type="submit">Cambiar contraseña</ion-button>

            </form>
        </ion-card-content>

    </ion-card>


</ion-content>